Quantcast
Channel: NX Journaling - Journaling / NXOpen API
Viewing all 783 articles
Browse latest View live

Pointfeature data

$
0
0

Hello!
I,ve made code which helps me select points from 3d, extract coordinates of them and write ti the file.
When i select by clicking each point code returns me PointFeature and i have problem with that type:
When i trying to get location.x or y/z of pointfeature it returns me fail: feature has no origin.
Question: how to get coordinates xyz from the object?
Or maybe possible to convert it to nxopenpoint object where i can easily can do it??
Please help

Thanks
E


How to change DimensionTextHeight in in c++

$
0
0

Hello Experts

I have working code(c#) for change the DimensionTextHeight in drafting.
I have converted the c# code to c++ using online converter ..........
facing single error any one please help me on this.

Thank you

Find out if a part has any PMI

NX to glTF (GLB) format

$
0
0

Looking for a way to export from NX to glTF format. Facebook now allows glTF formats (GLB/glTF) to be included on your feed so you can have a 3D part spin around within a window on your browser. The glTF format is explained on Wikipedia as the JPEG of 3D. Of course, you're limited to 3Mb so pretty small.

I found this strange little tool online that maps CAD translation possible conversion paths. https://www.cadforum.cz/cadforum_en/formats.asp?fmtin=16&fmtout=80 Showing a possible path through Autodesk products.

I can export a 3MF file from NX12.0.2. If I have a sub-division model, I can export an OBJ file.

Thank you...

Get facet vertex for STL faces

$
0
0

Hello,
I`m trying to find a way how to get coordinates for each triangular facet face.
I think i able to get quantity and type of faces in facetbody by this below:

For Each facet As NXOpen.Facet.FacetedBody In workPart.FacetedBodies
Dim fACETLIST As NXOpen.Facet.FacetedFace()
Try
fACETLIST=facet.GetFaces()
For i As Integer=0 To fACETLIST.Length-1
lw.WriteLine(fACETLIST(i).FaceType.ToString)
Next
lw.WriteLine(fACETLIST.Length)
Catch ex As Exception
End Try
Next

that gives me output like 30 facet and type of each one.
But how to get vertex values??

I need these outputs for creation new surfaces (it`s also question how) instead facet triangulars in order to make sew for solid body instead unselectable facetbody.

thanks in advance!

Parameter Feature

$
0
0

Hi Everyone,

I want to do a pretty easy stuff, but I can't find any solution:

I'd like to have in the part history a parameter, as a feature.
As a empty/dummy feature that has 1 or more parameters. Ideally I would like to have numbers and string, but I suppose could be possible just with numbers.

The reason is to maintain a logic sense of where the parameter is required, not going inside the "user expressions" every time, that's very chaotic.

Another similar idea is to assign parameter to a feature folder...

Do you have any suggestion about this topic?
Realise dummy feature (as a move feature) just to use its parameter seems not a very clean way...

Thanks!

Legth of lines at the specific layer

$
0
0

Hallo there,

I would like to get the value of the length of all lines which are at the specific layer. Then, when is possible to get the data in the table in a drawing.
i.e.
L251=3875mm
L252=5620mm

Thanks,
zest

MenuScript button vs. New User Command

$
0
0

I have created a few journals which change the visibility of specific layers based upon an argument that I pass with the journal code. If I create a New User Command, I can ALWAYS use the command. For example, if I am editing a CAM operation and I am selecting area geometry, I can change layer visibility with just one click of the user command. That works great. If I create a MenuScript button with the exact same functionality, it also works, BUT not if I am editing an operation, program group, or anything in which I have a dialogue open. The buttons on the ribbon bar are grey and not selectable. How can I make the buttons on the ribbon bar selectable? Some ribbon bars, such as the View ribbon, has many buttons that stay available with another dialogue open. Any direction on this would be greatly appreciated.


Get user-defined attribution from JT file

$
0
0

Thanks for anyone who can give me a help.

If it can be done?
Cycle a folder → get the user-defined attribution from all JT files

Change all font in a drawing

$
0
0

Hi everyone,

Im trying to figure out how I could change the font of every item in the drawing. Dimensions, tables, notes, appended text, title blocks, the works. I havent been able to find anything on it yet and was wondering if anyone here had tried to do something like that before?

Thank you!

NX10/NX12 Python NXOpen Batch File Differences?

$
0
0

I have been programming in NX10's Python NXOpen API successfully using the "run_journal" batch process command. I have currently switched from NX10 to NX12 and have not been able to successfully run the "run_journal" executable as a batch file. In my command prompt, I can see the journal executable running but it never enters my script almost as if it is stuck when calling run_journal.exe. All of my environment variables have been set just as in the NX10 simulation. Is there any insight on this issue? Have some environment variables changed or been added?

Thank you,
Sam

NX12 NXOpen Python:: Relative Assembly Position to WorkPart Position

$
0
0

I am currently working with the NXOpen Python API in NX12 and had a question about obtaining assembly versus work part position. In the part information window in the assembly file (right click on part --> properties --> information icon) a component translation and rotation variables appear with a delta position vector and (what I'm assuming to be) a delta rotation matrix.

I have two question regarding this topic: first, are my variable definitions correct? And lastly, if they are correct how would I obtain these values within NXOpen? I cannot find any properties or methods in the part, assembly, etc.. classes that would return these values for a specified part.

Thank you,
Sam

export to point coordinates excel

$
0
0

Hello there,

I want to put the dot on the model cross-sectional view lines on the NX modeling page and to excel the X, Y, Z coordinate information of this point. Example macros are doing through drafting, but there is none on the Model page. Can you help me?
thank you.

Let user select a symbolic thread

$
0
0

Hi
I'm looking for a journal that will make a user select a symbolic thread.

I only found a code that reads data from every symbolic thread in work part.

Here’s the code:

Thank you

Imports System
Imports NXOpen
Imports NXOpen.UF
 
Public Class NXJournal
    Shared theSession As Session = Session.GetSession()
    Shared theUFSession As UFSession = UFSession.GetUFSession()
    Shared workPart As Part = theSession.Parts.Work
 
    Private Shared Sub DoIt()
        For Each aFeature As NXOpen.Features.Feature In workPart.Features
 
            If aFeature.FeatureType.Equals("SYMBOLIC_THREAD") Then
                Echo(aFeature.GetFeatureName())
                Dim data As UFModl.SymbThreadData = New UFModl.SymbThreadData()
                theUFSession.Modl.AskSymbThreadParms(aFeature.Tag, data)
                ' Echo(" Angle: " & data.angle)
                ' Echo(" Axis: " & data.axis_direction(0) & " " + data.axis_direction(1) & " " + data.axis_direction(2))
 
                If data.callout.Length > 1 Then
                    Echo(" Callout: " & data.callout)
                Else
                    Echo(" Callout: None (manual input)")
                End If
 
                Echo(" CylFace: " & data.cyl_face.ToString())
                Echo(" Form: " & data.form)
                Echo(" IncludeInstances: " & data.include_instances.ToString())
                Echo(" InternalThread: " & data.internal_thread.ToString())
                Echo(" Length: " & data.length)
                Echo(" LengthFlag: " & data.length_flag.ToString())
                Echo(" MajorDia: " & data.major_dia)
                Echo(" Method: " & data.method)
                Echo(" MinorDia: " & data.minor_dia)
                Echo(" NumStarts: " & data.num_starts.ToString())
                Echo(" Pitch: " & data.pitch)
                Echo(" Rotation: " & data.rotation)
                Echo(" StartFace: " & data.start_face.ToString())
                Echo(" Tapered: " & data.tapered.ToString())
                Echo(" TappedDia: " & data.tapped_dia)
            End If
        Next
    End Sub
 
    Public Shared Sub Main(ByVal args As String())
        If workPart IsNot Nothing Then
            DoIt()
            Return
        End If
 
        Dim loadStatus As PartLoadStatus
 
        For ii As Integer = 0 To args.Length - 1
            Echo("Processing: " & args(ii))
            workPart = CType(theSession.Parts.OpenBaseDisplay(args(ii), loadStatus), Part)
            reportPartLoadStatus(loadStatus)
 
            If workPart IsNot Nothing Then
                DoIt()
                workPart.Close(BasePart.CloseWholeTree.[True], BasePart.CloseModified.CloseModified, Nothing)
            End If
        Next
    End Sub
 
    Private Shared Sub Echo(ByVal output As String)
        theSession.ListingWindow.Open()
        theSession.ListingWindow.WriteLine(output)
        theSession.LogFile.WriteLine(output)
    End Sub
 
    Private Shared Sub reportPartLoadStatus(ByVal load_status As PartLoadStatus)
        If load_status.NumberUnloadedParts = 0 Then Return
        Echo("  Load notes:")
 
        For ii As Integer = 0 To load_status.NumberUnloadedParts - 1
            Echo("  " & load_status.GetPartName(ii) & " - " + load_status.GetStatusDescription(ii))
        Next
    End Sub
 
    Public Shared Function GetUnloadOption(ByVal arg As String) As Integer
        Return System.Convert.ToInt32(Session.LibraryUnloadOption.Immediately)
    End Function
End Class

Check all models in assembly for *update to end*

$
0
0

Hello,

I would like to create a Journal file which finds all models in an assembly structure.

The individual models can be on different tree structure Levels.
Every model should be checked if it is "update to end". If not, this has to be done by the Journal.

Thats what I found by myself using the search function, but I'm not a programmer and my efforts weren't successfull.

http://www.nxjournaling.com/content/loop-through-each-part-assembly-and-...

I tried to record the "update to end" command by

-(Right mouse button click on "Name(filtered)" in Part Navigator)

but I wasn't able to implement the result correctly into the code linked above.

Thanks in advance, if there is anybody who can help me out.

Asap


Export PDF to TC w/Sorting

$
0
0

I have recently setup a new journal with the code below from this comment, http://nxjournaling.com/comment/4868#comment-4868. Is it possible to add sorting to this? When I use this to export, the sheets are not sorted numerically per sheet name/number. Using NX9.

Imports System
Imports NXOpen
 
Module NXJournal
Sub Main (ByVal args() As String) 
 
Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()
Dim workPart As NXOpen.Part = theSession.Parts.Work
 
Dim displayPart As NXOpen.Part = theSession.Parts.Display
 
Dim printPDFBuilder1 As NXOpen.PrintPDFBuilder = Nothing
printPDFBuilder1 = workPart.PlotManager.CreatePrintPdfbuilder()
 
'Get part number attribute (drawing must be work part)
Dim partnumber = workPart.GetUserAttribute("DB_PART_NO", NXObject.AttributeType.String, -1)
Dim partnumberstring = partnumber.StringValue
 
'Parameters
printPDFBuilder1.Relation = NXOpen.PrintPDFBuilder.RelationOption.Manifestation
 
printPDFBuilder1.DatasetType = "PDF"
 
printPDFBuilder1.NamedReferenceType = "PDF_Reference"
 
printPDFBuilder1.Scale = 1.0
 
printPDFBuilder1.Colors = NXOpen.PrintPDFBuilder.Color.BlackOnWhite
 
printPDFBuilder1.Size = NXOpen.PrintPDFBuilder.SizeOption.ScaleFactor
 
printPDFBuilder1.Units = NXOpen.PrintPDFBuilder.UnitsOption.English
 
printPDFBuilder1.RasterImages = True
 
printPDFBuilder1.ImageResolution = NXOpen.PrintPDFBuilder.ImageResolutionOption.Medium
 
printPDFBuilder1.Assign()
 
'Set sheets to an array of all drawing sheets
printPDFBuilder1.SourceBuilder.SetSheets(workpart.DrawingSheets.ToArray)
 
'Get part number attribute (drawing must be work part) and set as string
Dim partnumber = workPart.GetUserAttribute("DB_PART_NO", NXObject.AttributeType.String, -1)
Dim partnumberstring = partnumber.StringValue
 
'Assign Dataset name as part number
printPDFBuilder1.DatasetName = partnumberstring
 
Dim nXObject1 As NXOpen.NXObject = Nothing
nXObject1 = printPDFBuilder1.Commit()
 
printPDFBuilder1.Destroy()
 
End Sub
End Module

NXOpen C/C++ LinkedBody slicing

$
0
0

Hi everyone,

I'm currently working on code for work to take a linked body and trim it into slices using an existing face, however I'm experiencing some problems.

1. Whenever I mix C and C++/Journal code, object data seems to get unloaded in the background. E.g. I pull the data of a DatumAxis, then make a C API call and afterwards the pointer is not NULL, but I get an exception accessing the Origin or Direction properties.

2. I get "update undo happened" errors and cannot identify why. However, what is more important, I noticed that when an exception is thrown, even though I catch it I cannot successfully add previously creates objects to the delete list anymore. That is, I can add them, but they won't be deleted.

Fixing these two issues will probably fix the others as well, so if anyone has advice on how to tackle these I'd be most grateful, already spent quite a few hours with these issues...

Regards,
Dennis

uc1613 API Function

$
0
0

Hello,
I have tried to use the uc1613 API Function.
With below code I want to be able to change 2 string values. Unfortunately I get a strange Output.
For instance, if I Change the first string value on running code
the function should return the new string value with ca6(0). Strange is, that ca6(0) is empty and ca6(1) Returns the new string value. How can I output the Change of the second string value? Ca6(2) is not possible..
What is the meaning behind the ip7 value? Why can I Input a range of Integers, what is the difference?
Does anybody know this function and can help me?

	getStrings2("abcd", "efgh")
 
	Function getStrings2(ByVal string1 As String, string2 As String)
		Dim cp1 As String = "Choose"
		Dim cp2() As String = {string1, string2}
		Dim ip3 As Integer = 2 'less or equal to 14
		Dim ia4() As Integer = {0,0} 'Integer value
		Dim ra5() As Double = {0,0} 'Double value
		Dim ca6() As String = {"pt","ut"} 'String value
		Dim ip7() As Integer = {300, 300}
		Dim resp2 As Integer
		ufs.Ui.LockUgAccess(UFConstants.UF_UI_FROM_CUSTOM)
		resp2 = ufs.Ui.GetInputValues(cp1, cp2, ip3, ia4, ra5, ca6, ip7) 'uc1613
		'ip7 = 100-199 - Indicates an integer value, which will be returned in ia4[]
		'ip7 = 200-299 - Indicates a double value which will be returned in ra5[] 
		'ip7 = 300-399 - Indicates a character string value which will be returned in ca6[]
		ufs.Ui.UnlockUgAccess(UFConstants.UF_UI_FROM_CUSTOM)
		string_val1 = ca6(0)
		string_val2 = ca6(1)
		Return resp2
	End Function

Number of radii/Diameters count in NX model

$
0
0

Hi All,

Could please help me regarding how to create NX Journal for counting the number of radii/Diameters on NX model.

Thank you,
Mallikarjun Chincholli

Create an ''expression'' in a component from an assembly?

$
0
0

Hello !

in VB Journaling, is it possible to create an '' expression '' in a component from an assembly?

The selection mode is the tag of the part or the name of the part in my assembly.

I found in your examples and on Gtac that to create an expression, the part must be workpart.

In fact, how to associate a part tag or its name with an active workpart or make a work part from a tag or a name of part in the assembly?

In fact, from an assembly, i want to copy the value of an expression to the value of the same expresssion but in another part in an assembly.
Example:
I want to copy the Lenght value of part "A" to the "Lenght" value of part "B". Everything must be done from an assembly. Now, in my code, I am able to have the Tag or the name of each of the two parts.

Best Regards!
-------------------------------------------------------------------

Try
   Selection.SelectionScope.AnyInAssembly
 
		'Dim SelectionMask(0) As Selection.MaskTriple
		With SelectionMask(0) 
		.Type = UFConstants.UF_component_type
                .Subtype = UFConstants.UF_all_subtype '0
                .SolidBodySubtype = 0
		End With
 
		selection0.SetSelectionFilter(Selection.SelectionAction.ClearAndEnableSpecific, SelectionMask)
		selection01.SetSelectionFilter(Selection.SelectionAction.ClearAndEnableSpecific, SelectionMask) 
 
        Catch ex As Exception
            '---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("Block Styler",    NXMessageBox.DialogType.Error, ex.ToString)
        End Try

part "A" = sel_obj_source As NXObject
part "B" = sel_obj_cible As NXObject

'------------------------------------------------------------------------------
'Fonction de rappel: update_cb
'------------------------------------------------------------------------------
    Public Function update_cb(ByVal block As NXOpen.BlockStyler.UIBlock) As Integer
 
	Dim s As Session = Session.GetSession()
    Dim ufs As NXOpen.UF.UFSession = NXOpen.UF.UFSession.GetUFSession()
    Dim sel_obj_source As NXObject
	Dim sel_obj_cible As NXObject
    Dim subtype As Integer
    Dim theUI As UI = ui.GetUI
    Dim numsel As Integer = theUI.SelectionManager.GetNumSelectedObjects()
    Dim c_part As Part = Nothing 
 
        Try
 
           If block Is selection0 Then
				'----------------------------------------
				'Active les boutons OK/APPLY      
				ActifSelection0 = 0
 
				StatusProgressionSource (sel_obj_source)
				Echo("Retour Source")
				'----------------------------------------
				'Si action sur la sélection01 (Composante cible) 
            ElseIf block Is selection01 Then
 
			'----------------------------------------
			'Active les boutons OK/APPLY      
			ActifSelection01 = 0
 
			StatusProgressionCible (sel_obj_source, sel_obj_cible)
			Echo("Retour Cible")
 
			'Si action sur le bouton0 (Réinitialisation)    
            ElseIf block Is button0 Then
                Dim blockSelPL1 As PropertyList = selection0.GetProperties()
                Dim emptyArray1(-1) As TaggedObject 
				Dim blockSelPL2 As PropertyList = selection01.GetProperties()
                Dim emptyArray2(-1) As TaggedObject
 
                blockSelPL1.SetTaggedObjectVector("SelectedObjects", emptyArray1)
				ActifSelection0 = 0
				blockSelPL2.SetTaggedObjectVector("SelectedObjects", emptyArray2)    
				ActifSelection01 = 0
 
				'Focus sur "Selection0" après la réénitialisation
				selection0.focus()
				ufs.Ui.CloseListingWindow()
				Echo("Réinitialisation...")
 
				'---- Enter your code here -----
 
			'Si action sur le bouton0 (Réinitialisation)
			ElseIf block Is button01 Then   
            '---- Enter your code here -----
 
			'Si action sur le toggle (Afficher la fenetre d'information)
            ElseIf block Is toggle0 Then
            '---- Enter your code here -----  
				Try 
					If Toggle0.value = False then
						'Toggle0.value = True    
						IgnoreEcho = True
						Echo("Case décoché.")
						ufs.Ui.CloseListingWindow()     
					Else If Toggle0.value = True Then    
						'Toggle0.value = False    
						IgnoreEcho = False
						Echo("Case coché.")
 
						Echo("_______________________________________________________________")
						Echo("Heure de fin: " & CType(TimeOfDay(), String))
						Echo("Nombre de pièce traité: ")
						Echo("Fin du rapport") 
					End If
 
				Catch ex As Exception
				'---- Enter your exception handling code here -----
				theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString)
 
				End Try
 
			'Bouton INVISIBLE, mais actif !!! 
			ElseIf block Is button01 Then
			'---- Enter your code here -----
 
			'Toggle INVISIBLE, mais actif !!!! 
			ElseIf block Is toggle01 Then    
			'---- Enter your code here -----
 
			End If
 
        Catch ex As Exception
            '---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString)
        End Try
 
		Try 
 
			If ActifSelection0 = 0 and ActifSelection01 = 0 then  
				ufs.Ui.CloseListingWindow()
				ECHO("Programme pour dupliquer les dimenssions d'une planche vers une autre.")
				ECHO("Heure de depart: " & CType(TimeOfDay(), String))
				ECHO("_______________________________________________________________")     
				Echo("0-0")
				Echo("Dupplication impossible !")
				Echo("Composante source et cible manquante.")
				Echo("")
				Echo("Nombre de selection pour la composante source:  0")
				Echo("  Chemin: Vide")
				Echo("  Nom fichier: Vide")
				Echo("  Tag: Vide")
				Echo("  Type: Vide")
				Echo("  Subtype: Vide")
				Echo("  Objet de type: Vide")
				Echo("")
				Echo("Nombre de selection pour la composante cible:  0")
				Echo("  Chemin: Vide")
				Echo("  Nom fichier: Vide")
				Echo("  Tag: Vide")
				Echo("  Type: Vide")
				Echo("  Subtype: Vide")
				Echo("  Objet de type: Vide")
				Echo("")
				Echo("Veuillez sélectionner une composante source et cible de type planche.")      
 
			Else If ActifSelection0 = 0 and ActifSelection01 = 1 then
				ufs.Ui.CloseListingWindow()
				ECHO("Programme pour dupliquer les dimenssions d'une planche vers une autre.")
				ECHO("Heure de depart: " & CType(TimeOfDay(), String))
				ECHO("_______________________________________________________________")     
				Echo("0-1")
				Echo("Dupplication impossible !")
				Echo("Composante source manquante.")
				Echo("")           
				Echo("Nombre de selection pour la composante cible:  0")
				Echo("  Chemin: Vide")
				Echo("  Nom fichier: Vide")
				Echo("  Tag: Vide")
				Echo("  Type: Vide")
				Echo("  Subtype: Vide")
				Echo("  Objet de type: Vide")
				Echo("")
				Echo("Nombre de selection pour la composante cible: " & CibleValObjet)
				Echo("  Chemin: " & CibleValChemin)
				Echo("  Nom fichier: " & CibleValNom)
				Echo("  Tag: " & CibleValTag)
				Echo("  Type: " & CibleValType)
				Echo("  Subtype: " & CibleValSubtype)
				Echo("  Objet de type: " & CibleValObjetType)
 
				If LireAttribueCibleStatus = 1 Then
					Echo("  UM_STD_DIM: " & ValAttCible_UM_STD_DIM)    
					Echo("  UM_STD_SCALE_LAB: " & ValAttCible_UM_STD_SCALE_LAB)
					Echo("  UM_STD_SCALE_DIM: " & ValAttCible_UM_STD_SCALE_DIM)
				End If
 
				Echo("")      
				Echo("Veuillez sélectionner une composante source de type planche.")
 
			Else If ActifSelection0 = 1 and ActifSelection01 = 0 then
				ufs.Ui.CloseListingWindow()
				ECHO("Programme pour dupliquer les dimenssions d'une planche vers une autre.")
				ECHO("Heure de depart: " & CType(TimeOfDay(), String))
				ECHO("_______________________________________________________________")    
				Echo("1-0")
				Echo("Dupplication impossible !")
				Echo("Composante cible manquante.")    
				Echo("")      
				Echo("Nombre de selection pour la composante source: " & SourceValObjet)
				Echo("  Chemin: " & SourceValChemin)
				Echo("  Nom fichier: " & SourceValNom)
				Echo("  Tag: " & SourceValTag)
				Echo("  Type: " & SourceValType)
				Echo("  Subtype: " & SourceValSubtype)
				Echo("  Objet de type: " & SourceValObjetType)
 
				If LireAttribueSourceStatus = 1 Then
					Echo("  UM_STD_DIM: " & ValAttSource_UM_STD_DIM)    
					Echo("  UM_STD_SCALE_LAB: " & ValAttSource_UM_STD_SCALE_LAB)
					Echo("  UM_STD_SCALE_DIM: " & ValAttSource_UM_STD_SCALE_DIM)
				End If    
 
				Echo("")
				Echo("Nombre de selection pour la composante cible:  0")
				Echo("  Chemin: Vide")
				Echo("  Nom fichier: Vide")
				Echo("  Tag: Vide")
				Echo("  Type: Vide")
				Echo("  Subtype: Vide")
				Echo("  Objet de type: Vide")
				Echo("")      
				Echo("Veuillez sélectionner une composante cible de type planche.")
 
			Else If ActifSelection0 = 1 and ActifSelection01 = 1 then
				ufs.Ui.CloseListingWindow()
				ECHO("Programme pour dupliquer les dimenssions d'une planche vers une autre.")
				ECHO("Heure de depart: " & CType(TimeOfDay(), String))
				ECHO("_______________________________________________________________")
 
				If ActifSelection0 = 1 and ActifSelection01 = 1 and LireAttribueSourceStatus = 1 then    
					Echo("1-1-1_Duplication")
				Else If ActifSelection0 = 1 and ActifSelection01 = 1 Then
					Echo("1-1")
				End If
 
				Echo("")
				Echo("Nombre de selection pour la composante source: " & SourceValObjet)
				Echo("  Chemin: " & SourceValChemin)
				Echo("  Nom fichier: " & SourceValNom)
				Echo("  Tag: " & SourceValTag)
				Echo("  Type: " & SourceValType)
				Echo("  Subtype: " & SourceValSubtype)
				Echo("  Objet de type: " & SourceValObjetType)
 
				If LireAttribueSourceStatus = 1 Then
					Echo("  UM_STD_DIM: " & ValAttSource_UM_STD_DIM)    
					Echo("  UM_STD_SCALE_LAB: " & ValAttSource_UM_STD_SCALE_LAB)
					Echo("  UM_STD_SCALE_DIM: " & ValAttSource_UM_STD_SCALE_DIM)
				End If
 
				Echo("")      
				Echo("Nombre de selection pour la composante cible: " & CibleValObjet)
				Echo("  Chemin: " & CibleValChemin)
				Echo("  Nom fichier: " & CibleValNom)
				Echo("  Tag: " & CibleValTag)
				Echo("  Type: " & CibleValType)
				Echo("  Subtype: " & CibleValSubtype)
				Echo("  Objet de type: " & CibleValObjetType)
 
				If LireAttribueCibleStatus = 1 Then
					Echo("  UM_STD_DIM: " & ValAttCible_UM_STD_DIM)    
					Echo("  UM_STD_SCALE_LAB: " & ValAttCible_UM_STD_SCALE_LAB)
					Echo("  UM_STD_SCALE_DIM: " & ValAttCible_UM_STD_SCALE_DIM)
				End If
 
				Echo("")         
				Echo("Dupplication possible de " & theCompSource.Name & " vers " & theCompCible.Name & ".")
 
				ManipulationDesChaines(ValAttSource_UM_STD_SCALE_DIM,ValAttSource_UM_STD_SCALE_LAB,ValAttSource_UM_STD_OPT_LAB,ValAttSource_UM_STD_OPT_DIM)
 
			End If
 
			Catch ex As Exception
			'---- Enter your exception handling code here -----
			theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString)
		End Try
 
        update_cb = 0
    End Function
Viewing all 783 articles
Browse latest View live


<script src="https://jsc.adskeeper.com/r/s/rssing.com.1596347.js" async> </script>